{{#if (and this.user.id @noLink)}}
  {{this.name}}
{{else if this.user.id}}
  <LinkTo @route="browse.profiles.profile" @model={{this.user.id}} class="text-decoration-none">
    {{this.name}}
  </LinkTo>
{{else}}
  {{this.name}}
{{/if}}